%global tarball_name RELEASE_3_3_0
Name:                cglib
Version:             3.3.0
Release:             1
Summary:             Code Generation Library for Java
License:             ASL 2.0 and BSD
URL:                 https://github.com/cglib/cglib
Source0:             https://github.com/cglib/cglib/archive/%{tarball_name}.tar.gz
BuildArch:           noarch
BuildRequires:       maven-local maven-plugin-bundle javapackages-local mvn(org.apache.ant:ant)
BuildRequires:       mvn(org.ow2.asm:asm) mvn(junit:junit) mvn(org.sonatype.oss:oss-parent:pom:)
%description
cglib is a powerful, high performance and quality code generation library
for Java. It is used to extend Java classes and implements interfaces
at run-time.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
Documentation for the cglib code generation library.

%prep
%autosetup -n %{name}-%{tarball_name} -p1
%pom_remove_parent
%pom_disable_module cglib-nodep
%pom_disable_module cglib-integration-test
%pom_disable_module cglib-jmh
%pom_xpath_set pom:packaging 'bundle' cglib
%pom_xpath_inject pom:build/pom:plugins '<plugin>
                                           <groupId>org.apache.felix</groupId>
                                           <artifactId>maven-bundle-plugin</artifactId>
                                           <version>1.4.0</version>
                                           <extensions>true</extensions>
                                           <configuration>
                                             <instructions>
                                               <Bundle-SymbolicName>net.sf.cglib.core</Bundle-SymbolicName>
                                               <Export-Package>net.*</Export-Package>
                                               <Import-Package>org.apache.tools.*;resolution:=optional,*</Import-Package>
                                             </instructions>
                                           </configuration>
                                         </plugin>' cglib
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-jarsigner-plugin cglib-sample
%pom_remove_plugin -r :maven-javadoc-plugin
%mvn_alias :cglib "net.sf.cglib:cglib" "cglib:cglib-full" "cglib:cglib-nodep" "org.sonatype.sisu.inject:cglib"

%build
%mvn_build -f -- -Djava.version.source=1.7 -Djava.version.target=1.7

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Jun 15 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.3.0-1
- Upgrade to version 3.3.0

* Thu Aug 13 2020 Anan Fu <fuanan3@huawei.com> - 3.2.9-1
- package init
